### Constructor

# Gsk GLShader new_from_bytes

deprecated: 4.16

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_bytes (
      GBytes* sourcecode
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`sourcecode`

  Type: `GBytes`

  GLSL sourcecode for the shader, as a `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `GskGLShader`

A new `GskGLShader`.

The caller of the function takes ownership of the data, and is responsible for freeing it.